path: /build/build/xxhash-dev-libs-0.8.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-libs/xxhash -pv -t && \
    emerge -j ${JOBS} --nodeps dev-libs/xxhash
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xxhash && luet-portage --dir /pkgdir/xxhash
    dev-libs/xxhash && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6fb9d7c45eaaed706ba9bae0b2e88ad92449210f678790aa87dd4d38c48b7882
  package:
    name: xxhash
    version: 0.8.2
    category: dev-libs
    requires:
    - name: source-highlight
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Extremely fast non-cryptographic hash algorithm
    uri:
    - http://www.xxhash.com
    license: BSD-2 GPL-2+
    buildtimestamp: 2023-11-30 14:50:12.532552172 +0000 UTC m=+387.879358950
    labels:
      IUSE: static-libs
      emerge.packages: dev-libs/xxhash
      kit: dev-kit
      original.package.name: dev-libs/xxhash
      original.package.slot: "0"
      original.package.version: 0.8.2
    treedir: /build/packages
  package_dir: /pkgdir/xxhash
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ab13d8bd46c297a6f7a54330bc24efae4b5075a4ab239f98578790281c77e5d2
compressiontype: zstd
files:
- usr/bin/xxh128sum
- usr/bin/xxh32sum
- usr/bin/xxh64sum
- usr/bin/xxhsum
- usr/include/xxh3.h
- usr/include/xxhash.h
- usr/lib64/libxxhash.so
- usr/lib64/libxxhash.so.0
- usr/lib64/libxxhash.so.0.8.2
- usr/lib64/pkgconfig/libxxhash.pc
- usr/share/doc/xxhash-0.8.2/CHANGELOG.bz2
- usr/share/doc/xxhash-0.8.2/README.md.bz2
- usr/share/man/man1/xxh128sum.1.bz2
- usr/share/man/man1/xxh32sum.1.bz2
- usr/share/man/man1/xxh64sum.1.bz2
- usr/share/man/man1/xxhsum.1.bz2
- var/db/pkg/dev-libs/xxhash-0.8.2/BUILD_TIME
- var/db/pkg/dev-libs/xxhash-0.8.2/CATEGORY
- var/db/pkg/dev-libs/xxhash-0.8.2/CBUILD
- var/db/pkg/dev-libs/xxhash-0.8.2/CFLAGS
- var/db/pkg/dev-libs/xxhash-0.8.2/CHOST
- var/db/pkg/dev-libs/xxhash-0.8.2/CONTENTS
- var/db/pkg/dev-libs/xxhash-0.8.2/COUNTER
- var/db/pkg/dev-libs/xxhash-0.8.2/CXXFLAGS
- var/db/pkg/dev-libs/xxhash-0.8.2/DEFINED_PHASES
- var/db/pkg/dev-libs/xxhash-0.8.2/DESCRIPTION
- var/db/pkg/dev-libs/xxhash-0.8.2/EAPI
- var/db/pkg/dev-libs/xxhash-0.8.2/FEATURES
- var/db/pkg/dev-libs/xxhash-0.8.2/HOMEPAGE
- var/db/pkg/dev-libs/xxhash-0.8.2/INHERITED
- var/db/pkg/dev-libs/xxhash-0.8.2/IUSE
- var/db/pkg/dev-libs/xxhash-0.8.2/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/xxhash-0.8.2/KEYWORDS
- var/db/pkg/dev-libs/xxhash-0.8.2/LDFLAGS
- var/db/pkg/dev-libs/xxhash-0.8.2/LICENSE
- var/db/pkg/dev-libs/xxhash-0.8.2/NEEDED
- var/db/pkg/dev-libs/xxhash-0.8.2/PF
- var/db/pkg/dev-libs/xxhash-0.8.2/PROVIDES
- var/db/pkg/dev-libs/xxhash-0.8.2/REQUIRES
- var/db/pkg/dev-libs/xxhash-0.8.2/SIZE
- var/db/pkg/dev-libs/xxhash-0.8.2/SLOT
- var/db/pkg/dev-libs/xxhash-0.8.2/USE
- var/db/pkg/dev-libs/xxhash-0.8.2/environment.bz2
- var/db/pkg/dev-libs/xxhash-0.8.2/repository
- var/db/pkg/dev-libs/xxhash-0.8.2/xxhash-0.8.2.ebuild
package_cacheimage: ""
runtime:
  name: xxhash
  version: 0.8.2
  category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Extremely fast non-cryptographic hash algorithm
  uri:
  - http://www.xxhash.com
  license: BSD-2 GPL-2+
  labels:
    IUSE: static-libs
    emerge.packages: dev-libs/xxhash
    kit: dev-kit
    original.package.name: dev-libs/xxhash
    original.package.slot: "0"
    original.package.version: 0.8.2
